<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>columns-001</title>
	<style>
		@page {
			margin: 1cm;
			size: A5;
		}

		main {
			display: block;
			columns: 3;
			column-fill: auto;
			column-rule: solid 1px black;
			background-color: lightgrey;
			border: solid 1px black;
			padding: 1em;
		}

		.column {
			break-before: column;
		}

		.span {
			column-span: all;
		}
	</style>
</head>
<body>
<main>
	<div class="column">Column 1</div>
	<div class="column">Column 2</div>
	<div class="column"><div>Column 3</div><div class="span">Span</div><div>Column 1</div></div>
	<div class="column">Column 2</div>
</main>
</body>
</html>